package com.cool.store.service;

import com.cool.store.context.LoginUserInfo;
import com.cool.store.exception.ApiException;
import com.cool.store.request.FranchiseeSaveRequest;
import com.cool.store.request.InitiatingRequest;
import com.cool.store.request.IntentAgreementSubmitRequest;
import com.cool.store.response.InitiatingResponse;
import com.cool.store.response.ResponseResult;
import com.cool.store.response.SigningBaseInfoResponse;

public interface IntentAgreementService {
    /**
     * 签署意向协议
     * @param request
     * @return
     */
    boolean submit(IntentAgreementSubmitRequest request);

    /**
     * 根据线索id或者加盟商id查询意向协议信息
     * @param partnerId
     * @param lineId
     * @return
     */
    SigningBaseInfoResponse getMiniIntentAgreement(String partnerId, Long lineId);

    Boolean initiating(IntentAgreementSubmitRequest request,LoginUserInfo user);

    /**
     * 跳过意向协议
     * @param lineId
     * @return
     */
    Boolean skipIntentAgreement(Long lineId,LoginUserInfo user);

    ResponseResult save(FranchiseeSaveRequest request, LoginUserInfo user) throws ApiException;

    InitiatingRequest getOaDetail(String mobile, String idCardNo);
}
